org.apache.cassandra.db

## Class DefinitionsUpdateVerbHandler

- java.lang.Object
- - org.apache.cassandra.db.DefinitionsUpdateVerbHandler

All Implemented Interfaces:
  IVerbHandler<java.util.Collection<Mutation>>

    public class DefinitionsUpdateVerbHandler
    extends java.lang.Object
    implements IVerbHandler<java.util.Collection<Mutation>>

Called when node receives updated schema state from the schema migration coordinator node. Such happens when user makes local schema migration on one of the nodes in the ring (which is going to act as coordinator) and that node sends (pushes) it's updated schema state (in form of mutations) to all the alive nodes in the cluster.

### Constructor Summary

Constructors
Constructor and Description
`DefinitionsUpdateVerbHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doVerb(MessageIn<java.util.Collection<Mutation>> message, int id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefinitionsUpdateVerbHandler

    public DefinitionsUpdateVerbHandler()

### Method Detail

#### doVerb

    public void doVerb(MessageIn<java.util.Collection<Mutation>> message,
                       int id)

Description copied from interface: `IVerbHandler`
This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

Specified by:
  `doVerb` in interface `IVerbHandler<java.util.Collection<Mutation>>`
Parameters:
  `message` - - incoming message that needs handling.